Subject: Re: bug#5721: Feature request: Function that returns absolute coordinates

From: Jan Djärv <[email-masked]>
Date: Sat, 17 Jul 2010 10:37:00 +0200

YAMAMOTO Mitsuharu skrev 2010-07-17 07.32:
>>>>>> On Sat, 17 Jul 2010 09:30:43 +0900, YAMAMOTO Mitsuharu<[email-masked]>  said:
>
>> Even with Compiz, left/top frame parameters point to the title bar
>> if we turn off visual effects.  I tested it with Ubuntu 10.04.
>
>> I suspect x_real_positions fails to get the window for decoration
>> for Compiz if visual effects are turned on.  Maybe Compiz does not
>> assign X11 windows for window decorations.

There are no other windows than X windows...
But the parent-child relationship may be different.

>
> As far as I tested with xprop and xwininfo, _NET_FRAME_WINDOW and/or
> _NET_[REQUEST_]FRAME_EXTENTS seem to be useful for x_real_positions to
> do the documented job.  (Though I could not find the former in EWMH.)

Not portable for all window managers so we have to keep the old way anyway.
_NET_REQUEST_FRAME_EXTENTS is in version 1.4 of EWMH.

	Jan D.